import { select, csv, csvFormat } from 'd3';

const kilobytes = data =>
  Math.ceil(csvFormat(data).length / 1000);

const body = select('body');

csv('https://gist.githubusercontent.com/LakshmanRangisetti/df5c0d008a03bd4285bfd2bb3827c595/raw/221518040b0fceb1afcf5d888f9374ae1ac3bc59/gistfile1.txt')
  .then(data => {
    
    body
      .append('pre')
        .text('First 10 rows:');

    body
      .append('pre')
        .text(JSON.stringify(data.slice(0, 10), null, 2));
  });

